<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="PAYMENT-SYSTEMS-SELECTION-FORM">
<tr>
	<td colspan="2"  class="mod-form" style="border-width: 0px;">
		<b><span class="mod-form-title"><xsl:value-of select="/ESHOP-PAGE/LOCALE/PAYMENT-METHOD"/></span></b>
		<div style="height: 10px;"><span></span></div>
		<div class="mod-form-hr" style="height: 1px;"><span></span></div>
		<div style="height: 10px;"><span></span></div>
		<xsl:value-of select="/ESHOP-PAGE/LOCALE/SELECT-PAYMENT-METHOD"/>
	</td>
</tr>
<tr>
	<td class="mod-form" style="border-width: 0px; width: 30%;"><xsl:value-of select="/ESHOP-PAGE/LOCALE/PAYMENT-METHOD"/></td>
	<td class="mod-form" style="border-width: 0px; width: 70%;">
		<xsl:apply-templates select="PAYMENT-SYSTEMS-LIST"/>
	</td>
</tr>

<xsl:apply-templates select="PAYMENT-SYSTEM-CHECKOUT-FIELDS"/>
<xsl:apply-templates select="PAYMENT-SYSTEM-AUTHORIZENET-FIELDS"/>

<script>
	var paymentList = document.getElementById('paymentSystemList');
	changePayment(paymentList.options[paymentList.selectedIndex].value);
</script>

</xsl:template>


<xsl:template match="PAYMENT-SYSTEMS-LIST">
<select name="paymentMethod" class="mod-input" onchange="changePayment(this.value);" id="paymentSystemList" style="width:200px">
	<xsl:apply-templates select="PAYMENT-SYSTEMS-LIST-ITEM"/>
</select>
</xsl:template>

<xsl:template match="PAYMENT-SYSTEMS-LIST-ITEM">
	<option>
		<xsl:attribute name="value"><xsl:value-of select="@CODE"/></xsl:attribute>
		<xsl:if test="@SELECTED=1"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>
		<xsl:value-of select="@NAME"/>
	</option>
</xsl:template>

<xsl:template match="PAYMENT-SYSTEM-CHECKOUT-FIELDS">
<tr style="display:none" id="vendorAccountNumber">
	<td class="mod-form" style="border-width: 0px; width: 30%;">
		<xsl:value-of select="@VENDOR-ACCOUNT-TITLE"/>
		<span class="requiered">
			<xsl:attribute name="id">cardNumber_asterix</xsl:attribute>
		*</span>
	</td>
	<td class="mod-form" style="border-width: 0px; width: 70%;">
		<input type="text" name="vendorAccountNumber" value="{@VENDOR-ACCOUNT-NUMBER}" style="width:200px"/>
	</td>
</tr>
</xsl:template>

<xsl:template match="PAYMENT-SYSTEM-AUTHORIZENET-FIELDS">
<tr style="display:none" id="cardNumber">
	<td class="mod-form" style="border-width: 0px; width: 30%;">
		<xsl:value-of select="@CARD-NUMBER-TITLE"/>
		<span class="requiered">
			<xsl:attribute name="id">cardNumber_asterix</xsl:attribute>
		*</span>
	</td>
	<td class="mod-form" style="border-width: 0px; width: 70%;">
		<input type="text" name="cardNumber" value="{@CARD-NUMBER}" style="width:200px"/>
	</td>
</tr>
<tr style="display:none" id="expirationDate">
	<td class="mod-form" style="border-width: 0px; width: 30%;">
		<span class="">
			<xsl:value-of select="@EXPIRATION-DATE-TITLE"/>
		</span>
	</td>
	<td class="mod-form" style="border-width: 0px; width: 70%;">
		<select name="month" style="width:135px">
			<xsl:apply-templates select="EXPIRATION-DATE/MONTH"/>
		</select>
		/
		<select name="year" style="width:60px">
			<xsl:apply-templates select="EXPIRATION-DATE/YEAR"/>
		</select>

	</td>
</tr>
</xsl:template>

<xsl:template match="PAYMENT-SYSTEM-AUTHORIZENET-FIELDS/EXPIRATION-DATE/YEAR/ITEM">
	<option>
		<xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
		<xsl:if test="@SELECTED=1"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>
		<xsl:value-of select="@NAME"/>
	</option>
</xsl:template>

<xsl:template match="EXPIRATION-DATE/MONTH/ITEM">
	<option>
		<xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
		<xsl:if test="@SELECTED=1"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>
		<xsl:value-of select="@NAME"/>
	</option>
</xsl:template>


<xsl:template match="PAYMENT-SYSTEM-SUMMARY">
<table cellpadding="0" cellspacing="0" border="0" width="100%" style="border-collapse: collapse; height: 100%;">
	<tr>
		<td style="padding: 5px 10px; height: 25px;" class="mod-item-header">
			<b><xsl:value-of select="/ESHOP-PAGE/LOCALE/PAYMENT-INFORMATION"/></b>
		</td>
	</tr>
	<tr>
		<td style="padding: 5px 10px;" class="mod-item-body" valign="top">
			<xsl:value-of select="/ESHOP-PAGE/LOCALE/PAYMENT-METHOD"/>: <xsl:value-of select="@NAME"/>
			<xsl:apply-templates select="CHECK-MONEY-ORDER-INFO"/>
			<xsl:apply-templates select="AUTHORIZENET-ORDER-INFO"/>
			<xsl:apply-templates select="CHECKOUT-ORDER-INFO"/>
		</td>
	</tr>
	<tr>
		<td style="padding: 5px 10px; height: 25px;" class="mod-item-footer">
			<a class="mod-info-footer-a">
				<xsl:attribute name="href">?<xsl:value-of select="/ESHOP-PAGE/@VIEW-VARIABLE"/>=orderInfoPage</xsl:attribute>
				<xsl:value-of select="/ESHOP-PAGE/LOCALE/EDIT-PAYMENL-LINK"/>
			</a>
		</td>
	</tr>
</table>
</xsl:template>

<xsl:template match="CHECK-MONEY-ORDER-INFO">
<br/><br/>
<b><xsl:value-of select="/ESHOP-PAGE/LOCALE/MAKE-PAYABLE-TO"/></b>: <xsl:value-of select="@MAKE-PAYABLE-TO"/><br/>
<b><xsl:value-of select="/ESHOP-PAGE/LOCALE/ADDRESS"/></b>:<br/>
<xsl:value-of select="@ADDRESS" disable-output-escaping="yes"/><br/>
</xsl:template>

<xsl:template match="AUTHORIZENET-ORDER-INFO">
<br/><br/>
<b><xsl:value-of select="@CARD-NUMBER-TITLE"/></b>: <xsl:value-of select="@CARD-NUMBER"/><br/>
<b><xsl:value-of select="@EXPIRATION-DATE-TITLE"/></b>: <xsl:value-of select="@EXPIRATION-DATE-MONTH"/> / <xsl:value-of select="@EXPIRATION-DATE-YEAR"/><br/>
</xsl:template>

<xsl:template match="CHECKOUT-ORDER-INFO">
<br/><br/>
<b><xsl:value-of select="@VENDOR-ACCOUNT-NUMBER-TITLE"/></b>: <xsl:value-of select="@VENDOR-ACCOUNT-NUMBER"/><br/>
</xsl:template>

</xsl:stylesheet>